# cp_mgmt_global_assignment – Manages global-assignment objects on Check Point over Web Services API

New in version 2.9.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Manages global-assignment objects on Check Point devices including creating, updating and removing objects.

- All operations are performed over Web Services API.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

auto_publish_session
boolean

Choices:
- no
- yes

Publish the current session if changes have been performed after task completes.

dependent_domain string |  | N/A

details_level
string

Choices:
- uid
- standard
- full

The level of detail for some of the fields in the response can vary from showing only the UID value of the object to a fully detailed representation of the object.

global_access_policy string |  | Global domain access policy that is assigned to a dependent domain.
global_domain string |  | N/A
global_threat_prevention_policy string |  | Global domain threat prevention policy that is assigned to a dependent domain.

ignore_errors
boolean

Choices:
- no
- yes

Apply changes ignoring errors. You won't be able to publish such a changes. If ignore-warnings flag was omitted - warnings will also be ignored.

ignore_warnings
boolean

Choices:
- no
- yes

Apply changes ignoring warnings.

manage_protection_actions
boolean

Choices:
- no
- yes

N/A

state
string

Choices:
- present ←
- absent

State of the access rule (present or absent). Defaults to present.

version string |  | Version of checkpoint. If not given one, the latest version taken.

wait_for_task
boolean

Choices:
- no
- yes ←

Wait for the task to end. Such as publish task.

## Examples

    - name: add-global-assignment
      cp_mgmt_global_assignment:
        dependent_domain: domain2
        global_access_policy: standard
        global_domain: Global
        global_threat_prevention_policy: standard
        manage_protection_actions: true
        state: present

    - name: set-global-assignment
      cp_mgmt_global_assignment:
        dependent_domain: domain1
        global_domain: Global2
        global_threat_prevention_policy: ''
        manage_protection_actions: false
        state: present

    - name: delete-global-assignment
      cp_mgmt_global_assignment:
        dependent_domain: domain1
        global_domain: Global2
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
cp_mgmt_global_assignment dictionary | always, except when deleting the object. | The checkpoint object created or updated.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Or Soffer (@chkp-orso)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.